Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.intranet
Class Permissions

    java.lang.Object
      org.esupportail.portal.utils.channels.SubChannel
          org.esupportail.portal.channels.CIntranet.actions.intranet.AbstractAction
              org.esupportail.portal.channels.CIntranet.actions.intranet.Permissions

All Implemented Interfaces:
  org.jasig.portal.ICacheable, org.esupportail.portal.utils.channels.ISubChannel

public class Permissions
extends AbstractAction

Permissions
Cette classe prend en charge la gestion des permissions
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.3 $
Author:
  Mathieu Larchet

Constructor Summary
`Permissions(org.esupportail.portal.utils.channels.MainChannel mainChannel)` Constructeur

Method Summary
`java.lang.Boolean` | `addgroupinit(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Traite l'ajout d'un groupe Override SubChannel.init() method
`java.lang.Boolean` | `adduserinit(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Traite l'ajout d'un utilisateur Override SubChannel.init() method
`void` | `clearChannel()` Nettoyage du canal Override Subchannel.clearChannel method
`java.lang.Boolean` | `delinit(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Supprime un droit Override SubChannel.init() method
`int` | `getLevel()` Indique le niveau requis pour réaliser cette action Implements AbstractAction.getLevel() method
`java.lang.Boolean` | `groupinit(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Affiche les groupes Override SubChannel.init() method
`void` | `groupoutput()` Etape 4/4 du cyle de vie de la SubChannel Positionne le titre SSL à utiliser Override SubChannel.setOutput() method
`java.lang.Boolean` | `groupxml()` Etape 3/4 du cycle de vie de la SubChannel Affiche les groupes Override SubChannel.setXML() method
`java.lang.Boolean` | `init(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Affiche les permissions Override SubChannel.init() method
`java.lang.Boolean` | `notinit(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Ajoute ou supprime une notification Override SubChannel.init() method
`void` | `setOutput()` Etape 4/4 du cyle de vie de la SubChannel Positionne le titre SSL à utiliser Override SubChannel.setOutput() method
`java.lang.Boolean` | `setXML()` Etape 3/4 du cycle de vie de la SubChannel Affiche la liste des intranets accessibles Override SubChannel.setXML() method

Methods inherited from class org.esupportail.portal.channels.CIntranet.actions.intranet.AbstractAction
`initialize`

Methods inherited from class org.esupportail.portal.utils.channels.SubChannel
`addDefaultXslParameters, addDownloadXslParameter, generateKey, getMainChannel, getMediaPath, getPackageName, getRuntimeData, getSSL, getXML, getXSL, getXSLParameter, isCacheValid, log, log, renderXML, setDefaultXslParameters, setSSL, setXML, setXSL, setXSLParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Permissions

    public Permissions(org.esupportail.portal.utils.channels.MainChannel mainChannel)

  Constructeur

Parameters:
  `mainChannel` - La channel principale

Method Detail

### getLevel

    public int getLevel()

  Indique le niveau requis pour réaliser cette action Implements AbstractAction.getLevel() method

  Specified by:
    `getLevel` in class `AbstractAction`
  Returns:
    level Le niveau requis pour accéder à cette action

### init

    public java.lang.Boolean init(org.jasig.portal.ChannelRuntimeData rd)
                           throws org.jasig.portal.PortalException,
                                  org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Affiche les permissions Override SubChannel.init() method

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### setXML

    public java.lang.Boolean setXML()
                             throws org.esupportail.portal.utils.channels.FrameWorkException

  Etape 3/4 du cycle de vie de la SubChannel Affiche la liste des intranets accessibles Override SubChannel.setXML() method

  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

### setOutput

    public void setOutput()
                   throws org.esupportail.portal.utils.channels.FrameWorkException

  Etape 4/4 du cyle de vie de la SubChannel Positionne le titre SSL à utiliser Override SubChannel.setOutput() method

  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

### adduserinit

    public java.lang.Boolean adduserinit(org.jasig.portal.ChannelRuntimeData rd)
                                  throws org.jasig.portal.PortalException,
                                         org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Traite l'ajout d'un utilisateur Override SubChannel.init() method

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### addgroupinit

    public java.lang.Boolean addgroupinit(org.jasig.portal.ChannelRuntimeData rd)
                                   throws org.jasig.portal.PortalException,
                                          org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Traite l'ajout d'un groupe Override SubChannel.init() method

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### groupinit

    public java.lang.Boolean groupinit(org.jasig.portal.ChannelRuntimeData rd)
                                throws org.jasig.portal.PortalException,
                                       org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Affiche les groupes Override SubChannel.init() method

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### groupxml

    public java.lang.Boolean groupxml()
                               throws org.esupportail.portal.utils.channels.FrameWorkException

  Etape 3/4 du cycle de vie de la SubChannel Affiche les groupes Override SubChannel.setXML() method

  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

### groupoutput

    public void groupoutput()
                     throws org.esupportail.portal.utils.channels.FrameWorkException

  Etape 4/4 du cyle de vie de la SubChannel Positionne le titre SSL à utiliser Override SubChannel.setOutput() method

  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

### delinit

    public java.lang.Boolean delinit(org.jasig.portal.ChannelRuntimeData rd)
                              throws org.jasig.portal.PortalException,
                                     org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Supprime un droit Override SubChannel.init() method

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### notinit

    public java.lang.Boolean notinit(org.jasig.portal.ChannelRuntimeData rd)
                              throws org.jasig.portal.PortalException,
                                     org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Ajoute ou supprime une notification Override SubChannel.init() method

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### clearChannel

    public void clearChannel()

  Nettoyage du canal Override Subchannel.clearChannel method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD